Subject: bug#26046: closed (Re: bug#26046: ESS installed without autoload)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 May 2020 05:56:01 +0000

Your bug report

#26046: ESS installed without autoloads

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26046: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26046
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26046: ESS installed without autoload
From: Ricardo Wurmus <[email-masked]>
To: zimoun <[email-masked]>
Cc: Alex Kost <[email-masked]>, [email-masked]
Date: Thu, 14 May 2020 07:55:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> writes:

> Digging in the bug tracker, I found this bug [1] about ESS saying that
> it does not behave like all other Emacs packages; installing in
> '$out/share/emacs/site-lisp/ess' instead of "guix.d".
>
> Well, all other packages do install in '$out/share/emacs/site-lisp/'
> as the manual says [2].  Because the Emacs packages location changes
> recently, AFAIU.
>
> Does it make sense to close it now?

Yes, I think this is no longer a problem now that we no longer use
“guix.d”.

-- 
Ricardo

Subject: ESS installed without autoloads
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Fri, 10 Mar 2017 10:03:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The “emacs-ess” package does not behave like all other Emacs packages.
Its files are installed to “$out/share/emacs/site-lisp/ess” (not
“guix.d”) and there are no autoloads.

I don’t know how to get ESS to work like this.  Should the package be
changed such that it installs autoload files like all other packages?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net